Subject: Re: [PATCH] travis-ci: run previously failed tests first, then slowest to fastest

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Jan 2016 17:46:55 -0800

Mike Hommey <[email-masked]> writes:

> On Tue, Jan 19, 2016 at 03:00:52PM -0800, Junio C Hamano wrote:
>
>> I think 3 comes from this:
>> 
>>   http://thread.gmane.org/gmane.comp.version-control.git/279348/focus=279674
>
> Having recently looked into this, the relevant travis-ci documentation
> is:
> https://docs.travis-ci.com/user/ci-environment/
>
> which says all environments have 2 cores, so you won't get much from
> anything higher than -j3.
>
> The following document also says something slightly different:
> https://docs.travis-ci.com/user/speeding-up-the-build#Parallelizing-your-build-on-one-VM
>
> "Travis CI VMs run on 1.5 virtual cores."

Yup, that 1.5 was already mentioned in the earlier thread, but many
tests are mostly I/O bound, so 1.5 (or 2 for that matter) does not
mean we should not go higher than -j2 or -j3.  What I meant was that
the 3 comes from the old discussion "let's be nice to those who
offer this to us for free".